use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Copy, PartialEq, Eq, Serialize, Deserialize)]
pub enum Key {
    Char(u8),
    LControl,
    RControl,
    LShift,
    RShift,
    LAlt,
    RAlt,
    PageUp,
    PageDown,
    Left,
    Right,
    Up,
    Down,
    Escape,
    Enter,
    Home,
    End,
    Backspace,
    Tab,
}
